{
  "height": 38,
  "layer": "top",
  "spacing": 4,
  "modules-left": [
    "custom/start_button",
    "custom/hyprexpo_toggle",
    "tray",
    "custom/separator",
    "hyprland/workspaces",
    "custom/separator",
    "wlr/taskbar",
  ],
  // "modules-center": [ "custom/waybar-mpris"],
  "modules-center": ["mpris"],
  "modules-right": [
    "custom/cpu-info",
    "custom/kraken",
    "custom/memory-info",
    "custom/gpu-info",
    "custom/battery_g502",
    //"custom/wlsunset", "idle_inhibitor", "custom/brightness",
    "wireplumber",
    "custom/mount",
    "custom/kde-connect",
    // "network",
    "custom/bluetooth",
    "custom/cast",
    "custom/server",
    "custom/sync",
    "custom/dunst",
    "clock#date",
    "clock#clock",
  ],
  "hyprland/workspaces": {
    "on-click": "activate",
    "on-scroll-up": "hyprctl dispatch workspace e+1",
    "on-scroll-down": "hyprctl dispatch workspace e-1",
    "format": "{name}",
    "all-outputs": true,
    // "move-to-monitor": true,
  },
  "custom/start_button": {
    "format": "     ",
    "tooltip-format": "",
    "interval": 3600,
    "on-click": "hyprctl dispatch exec ~/.config/rofi/bin/menu_powermenu",
  },
  "custom/hyprexpo_toggle": {
    "format": " 󱗼  ",
    "tooltip-format": "",
    "interval": 3600,
    "on-click": "hyprctl dispatch exec ~/.config/rofi/bin/menu_powermenu",
  },
  "custom/separator": {
    "format": "|",
    "interval": 9600,
  },
  "custom/usage-toggle": {
    "format": "<span font_family='Symbols Nerd Font' font='12' rise='200' weight='normal' > </span>{}",
    "tooltip-format": "mehr System-Infos anzeigen",
    "interval": 6600,
    "on-click": "dunstify 'Umschalten der Telemetrie Info'",
  },
  "custom/battery-g502": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='500' weight='normal' >  </span>{}",
    "tooltip-format": "mehr System-Infos anzeigen",
    "interval": 600,
    "on-click": "solaar",
    "exec": "$HOME/.config/waybar/scripts/battery-g502x.sh",
  },
  "custom/server": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' ></span>{}",
    "tooltip-format": "dunstify 'Server Control",
    "interval": 6600,
    "on-click": "dunstify 'Server Control'",
  },
  "custom/tray": {
    "format": "<span font_family='Symbols Nerd Font' font='12' rise='200' weight='normal' > 󱕷  </span>{}",
    "tooltip-format": "Tray anzeigen",
    "interval": 6600,
    "on-click": "dunstify 'Tray anzeigen'",
  },
  "custom/cast": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >󰞊</span>{}",
    "tooltip-format": "Remote",
    "interval": 6600,
    "on-click": "dunstify 'Remote'",
  },
  "hyprland/window": {
    "max-length": 54, // char count, doesn't seem to work - https://github.com/Alexays/Waybar/issues/2898
    "on-click": "dunstify \"$(hyprctl activewindow -j | jq -r .title)\"",
    "on-click-middle": "hyprctl dispatch killactive",
  },
  "keyboard-state": {
    "numlock": true,
    "capslock": true,
    "format": "{name} {icon}",
    "format-icons": {
      "locked": "",
      "unlocked": "",
    },
  },
  "wlr/taskbar": {
    "format": "{icon}",
    "icon-size": 24,
    "tooltip-format": "{title}",
    "on-click": "activate",
    "on-click-middle": "close",
    "active-first": "true",
    // "sort-by-app-id": true
    // "ignore-list": [ "Alacritty" //],
    // "app_ids-mapping": {
    // 	// "firefoxdeveloperedition": "firefox-developer-edition"
    // }
    // "icon-theme": "Numix-Circle",
  },
  "sway/mode": {
    "format": "<span style=\"italic\">{}</span>",
  },
  "sway/scratchpad": {
    "format": "{icon} {count}",
    "show-empty": false,
    "format-icons": ["", ""],
    "tooltip": true,
    "tooltip-format": "{app}: {title}",
  },
  "custom/cpu-info": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='200' weight='normal' > </span>{}",
    // "format": "<span style='font-weight:normal;' >   </span>{}",
    "interval": 5,
    "exec": "$HOME/.config/waybar/scripts/cpu.sh",
    "on-click": "alacritty --class floating -e btop",
    // "on-click-middle": "corectrl"
    "on-click-middle": "~/.local/bin/poweroptions_rofi",
  },
  "custom/kraken": {
    "format": "<span font_family='Symbols Nerd Font' font='16' rise='500' weight='normal' > </span>{}",
    // "format": "<span font_family='Symbols Nerd Font' font='12' rise='500' weight='normal' >#  󰏈  </span>{}",
    "interval": 5,
    "exec": "$HOME/.config/waybar/scripts/kraken.sh",
  },
  "custom/memory-info": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='200' weight='normal' >󰆼 </span>{}",
    "on-click": "flatpak run io.missioncenter.MissionCenter",
    "interval": 5,
    "exec": "$HOME/.config/waybar/scripts/memory.sh",
  },
  "custom/gpu-info": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='500' weight='normal' > </span>{}",
    "interval": 5,
    "exec": "$HOME/.config/waybar/scripts/gpu.sh",
    "on-click-middle": "corectrl",
  },
  "custom/bluetooth": {
    // "icon-size": 21,
    "spacing": 10,
    "format": "  ",
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' ></span>",
    "on-click": "blueman-manager",
    "tooltip-format": "hier könnte ihre Werbung stehen.",
  },
  "custom/kde-connect": {
    // "icon-size": 21,
    "spacing": 10,
    "format": "  ",
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' ></span>",
    "on-click": "dunstify 'für nur 420,69€ im Monat!'",
    "tooltip-format": "hier könnte ihre Werbung stehen.",
  },
  "custom/mount": {
    // "icon-size": 21,
    "spacing": 10,
    "format": " ",
    "format": " <span font_family='Symbols Nerd Font' font='9' rise='2000' weight='normal' >  </span> <span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >󱇰  </span>",
    "on-click": "dunstify 'für nur 420,69€ im Monat!'",
    "tooltip-format": "hier könnte ihre Werbung stehen.",
  },
  "custom/sync": {
    "spacing": 10,
    "format": " 󰅟 ",
    "format": "<span font_family='Symbols Nerd Font' font='13' rise='1000' weight='normal' >󰅟</span>",
    "on-click": "dunstify 'für nur 420,69€ im Monat!'",
    "tooltip-format": "hier könnte ihre Werbung stehen.",
  },
  "tray": {
    // "icon-size": 21,
    "spacing": 10,
  },
  "clock#date": {
    "timezone": "Europe/Berlin",
    "locale": "en_GB.UTF-8",
    // "locale": "de_DE.UTF-8",
    "tooltip-format": "<big>{:L%A  %d.%m.%Y\nKW %V}\n</big><tt><small>{calendar}</small></tt>",
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='' weight='normal' >󰸘 </span> KW {:L%V  %a %d.%m.%y}",
    "on-click": "flatpak run org.gnome.Calendar",
  },
  "clock#clock": {
    "timezone": "Europe/Berlin",
    "locale": "de_DE.UTF-8",
    "tooltip-format": "<big>{:L%A  %d.%m.%Y\nKW %V}\n</big><tt><small>{calendar}</small></tt>",
    "format": " {:L%H:%M}",
    "on-click": "flatpak run org.gnome.clocks",
  },
  "backlight": {
    // "device": "acpi_video1",
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >{icon}</span>  {percent}%",
    "format-icons": ["", "", "", "", "", "", "", "", ""],
  },
  "battery": {
    "states": {
      // "good": 95,
      "warning": 30,
      "critical": 15,
    },
    "format": "<span font_family='Symbols Nerd Font' font='12' rise='500' weight='normal' >{icon}</span>  {capacity}%",
    "format-charging": "  {capacity}%",
    // "format-plugged": "  {capacity}%",
    "format-plugged": "<span font_family='Symbols Nerd Font' font='10' rise='1000' weight='normal' ></span>  {capacity}%",
    "format-alt": "{time} {icon}",
    // "format-good": "", // An empty format will hide the module
    // "format-full": "",
    "format-icons": ["", "", "", "", ""],
  },
  "battery#bat2": {
    "bat": "BAT2",
  },
  "network": {
    // "interface": "wlp2*", // (Optional) To force the use of this interface
    "format-wifi": "{essid} ({signalStrength}%) ",
    // "format-linked": "<span font_family='Symbols Nerd Font' font='11' rise='1000' weight='normal' > </span>",
    // "format-ethernet": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >   󰈀  󰈁     󰌘  󰤯  󰤟  󰤢  󰤥  󰤨    󰌆  󰖂 </span>",
    // "format-ethernet": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >󰌆  󰈀</span>",
    "format-ethernet": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal' >󰈀</span>",
    // https://github.com/Alexays/Waybar/wiki/Module:-Custom
    // "format-ethernet": "{ipaddr}/{cidr} ",
    // "format-ethernet": "{ifname} ",
    // "tooltip-format": "{ifname} via {gwaddr} ",
    "tooltip-format": "{ifname} via {gwaddr} ",
    // "format": "   󰈀  󰈁       󰌘  󰤯  󰤟  󰤢  󰤥  󰤨    󰌆  󰖂",
    // "format": "   󰈀  󰈁       󰌘  󰤯  󰤟  󰤢  󰤥  󰤨    󰌆  󰖂",
    // "format-linked": "<span font_family='Symbols Nerd Font' font='10' rise='1000' weight='normal' ></span>{ifname}: {ipaddr}/{cidr}%",
    // "format": "      ",
    // "format-linked": "{ifname} (No IP)       ",
    // "format-linked": "<span font_family='Symbols Nerd Font' font='11' rise='1000' weight='normal' >{ifname} (No IP)       </span>",
    "format-disconnected": "Disconnected ⚠",
    "format-alt": "{ifname}: {ipaddr}/{cidr}",
  },
  "wireplumber": {
    "scroll-step": 1, // %, can be a float
    // "format": "<span font_family='Symbols Nerd Font' font='11' rise='1000' weight='normal' >{icon}</span>  {volume}%  {format_source}",
    "format": "<span font_family='Symbols Nerd Font' font='12' weight='normal' >{icon}</span>  {volume}%   {format_source}",
    "format-bluetooth": "{volume}% {icon} {format_source}",
    "format-bluetooth-muted": " {icon} {format_source}",
    "format-muted": "  {format_source}",
    "format-muted": "  stumm",
    "format-source": " ",
    // "format-source-muted": "",
    "format-source-muted": "<span font_family='Symbols Nerd Font' font='11' rise='1000' weight='normal' > </span>",
    "format-icons": {
      "headphone": "",
      "hands-free": "",
      "headset": "",
      "phone": "",
      "portable": "",
      "car": "",
      "default": ["", "", ""],
    },
    "on-click": "pavucontrol",
  },
  "custom/brightness": {
    "exec": "$HOME/.local/bin/monitor --get_brightness_with_icon",
    // "exec-if": "sleep 1", // Give enough time for `sway output` command changes to propagate so we can read them in the next `exec`
    "format": "{}%",
    "interval": "once",
    "signal": 1,
    "on-click": "dunstify 'hier könnte mal was sein...'",
    // "on-scroll-up": "$HOME/.local/bin/monitor --brighter",
    // "on-scroll-down": "$HOME/.local/bin/monitor --dimmer"
  },
  "custom/dunst": {
    "format": "<span font_family='Symbols Nerd Font' font='14' rise='1000' weight='normal'>{}</span>",
    "exec": "~/.config/waybar/scripts/dunst.sh",
    "on-click": "dunstctl set-paused toggle",
    "on-click-middle": "dunstctl history-pop",
    // "restart-interval": 1
    "interval": 1,
    "signal": 2,
  },
  "custom/wlsunset": {
    "exec": "~/.config/waybar/scripts/wlsunset.sh",
    "on-click": "~/.local/bin/blue_light_filter --toggle",
    "restart-interval": 3,
    "interval": 300,
    "signal": 3,
  },
  "custom/waybar-mpris": {
    "return-type": "json",
    "exec": "waybar-mpris --position --autofocus",
    "on-click": "waybar-mpris --send toggle",
    "on-click-right": "waybar-mpris --send player-next", // switch between players on right click
    "on-click-middle": "waybar-mpris --send prev",
    "on-scroll-up": "waybar-mpris --send player-next", // switch the selected player on scroll
    "on-scroll-down": "waybar-mpris --send player-prev", // switch the selected player on scroll
    // "on-scroll-up": "waybar-mpris --send next",          // go to next/previous track on scroll
    // "on-scroll-down": "waybar-mpris --send prev",        // go to next/previous track on scrol
    "escape": true,
  },
  "mpris": {
    "format": "{player_icon} {dynamic}",
    "format-paused": "{status_icon} <i>{dynamic}</i>",
    "interval": 1,
    "dynmic-importance-order": [
      "title",
      "artist",
      "position",
      "length",
      "album",
    ],
    "max-length": 128,
    "title-len": 42,
    "album-len": 32,
    "artist-len": 36,
    "player-icons": {
      "default": "▶",
      "mpv": "🎵",
    },
    "status-icons": {
      "paused": "⏸",
    },
    // "ignored-players": ["firefox"]
  },
}
